.top5-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
    gap: 15px;
}

.top5-item {
    position: relative;
    background-size: cover;
    background-position: center;
    border-radius: 15px;
    overflow: hidden;
    color: #fff;
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.top5-item:hover {
    c
}

.top5-link {
    text-decoration: none;
    color: inherit;
    display: block;
}

.top5-thumbnail {
    width: 100%;
    height: 150px;
    overflow: hidden;
    position: relative;
}

.top5-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.top5-progress {
    position: absolute;
    top: 10px;
    left: 10px;
    z-index: 2;
    width: 90px;
    height: 90px;
}

.progress-circle {
    position: relative;
    width: 90px;
    height: 90px;
}

.progress-ring-top {
    transform: rotate(-90deg);
    transform-origin: 50% 50%;
}

.progress-ring-bg-top {
    stroke: #ffffff33;
    stroke-width: 5;
    fill: transparent;
}

.progress-ring-fill-top {
    stroke: #f1c40f;
    stroke-width: 5;
    fill: transparent;
    stroke-dasharray: 251; /* Circunferência do círculo (2πr) */
    stroke-dashoffset: 251; /* Inicia com a barra vazia */
    transition: stroke-dashoffset 0.6s ease;
}
.progress-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 22px;
    font-weight: bold;
    color: #f1c40f;
}

.top5-content {
    position: absolute;
    z-index: 2;
    padding-left: 10px;
    padding-right: 10px;
    bottom: 0;
}
.top5-content h3 {
    font-size: 16px;
    color: #fff;
}
.top5-post-overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 65%);
    z-index: 1;
    backdrop-filter: blur(2px);
}

.top5-title {
    font-size: 16px;
    margin: 0;
    color: #fff;
    text-align: left;
}

.top5-meta {
    font-size: 0.85rem;
    color: #777;
    display: none;
}
.no-posts {
    text-align: center;
    color: #666;
}
@media (min-width: 769px) {
        .top5-section {
        margin: 7px;
        margin-right: 0;
        width: 100%;
    }
}